{% comment %}
Compartir usando el método de compartir del dispositivo o copiar al
portapeles.
{% endcomment %}

{%- assign title = include.page.title | escape -%}
{%- assign text = include.page.description | default: include.page.content | strip_html | escape -%}
{%- assign div-classes = include.div-classes -%}
{%- assign url = site.url | append: "/" | append: include.url | escape -%}
{%- assign button-classes = include.button-classes -%}
<div
  data-controller="share"
  data-share-clipboard-value="{{ site.i18n.share.clipboard | escape }}"
  data-share-url-value="{{ url }}"
  class="{{div-classes}}">

  <button data-action="share#share" class="{{button-classes}}">
    <i class="fa fa-fw fa-{{ include.fa }}" aria-hidden="true"></i>
  </button>

  {% comment %}
    Aquí no hay sangría para que no salgan espacios de más al copiar.
  {% endcomment %}
  <textarea class="d-none" data-share-target="fallback">
{{ url }}</textarea>
</div>
